Bug 832886 - Update to latest v8
Update to latest v8
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: v8 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 738744
  Show dependency treegraph
 
Reported: 2012-06-18 03:12 EDT by Bohuslav "Slavek" Kabrda
Modified: 2012-07-10 02:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 14:46:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2012-06-18 03:12:47 EDT
Hi,
would it be possible to update v8 to the latest stable version? I need it to build rubygem-therubyracer, which in turn is needed for update of the whole Ruby on Rails stack to 3.2.x.
AFAIK the latest version is 3.11.10, but I'm not really sure, as there are no official releases, just the changelog in their repository...

Thanks!
Comment 1 Tom "spot" Callaway 2012-06-18 21:21:17 EDT
The v8 in Fedora is used for Chromium, which means we can't usually take it to the latest version. The latest "stable" v8, as needed by the latest "stable" Chromium is 3.9.24. I plan to update to 3.9.24 sometime next week, I hope that will be sufficient for therubyracer's needs.
Comment 2 Bohuslav "Slavek" Kabrda 2012-06-19 01:44:51 EDT
Yes, 3.9.24 should be enough, thanks.
Comment 3 Bohuslav "Slavek" Kabrda 2012-07-04 09:50:53 EDT
Hi, any progress on this one? We've got a pretty long dependency chain that we need to get into F18, that relies on therubyracer, so we need to get it going ASAP.
Thanks!
Comment 4 Tom "spot" Callaway 2012-07-05 09:35:24 EDT
Sorry, Chromium is being especially problematic this pass around. I hope to have v8 updated in the next day or two.
Comment 5 Tom "spot" Callaway 2012-07-09 14:46:25 EDT
v8-3.10.8-1.fc18 just got built into rawhide. Sorry for the extreme delay, please let me know if you have any issues with it.
Comment 6 Bohuslav "Slavek" Kabrda 2012-07-10 02:02:14 EDT
Thank you, I'll open a new bug if something is wrong.

Note You need to log in before you can comment on or make changes to this bug.